<?php

/**
 * This file contains QUI\Health
 */

namespace QUI\Health;

use QUI;
use QUI\Projects\Project;

/**
 * Class Cron
 *
 * @package QUI\Health
 */
class Cron
{
    /**
     * Check the project
     *
     * @param array $params
     * @param $CronManager
     * @throws QUI\Exception
     */
    public static function checkProject($params, $CronManager)
    {
        if (!isset($params['projectName'])) {
            throw new QUI\Exception(array(
                'quiqqer/health',
                'exception.cron.no.projectName'
            ));
        }

        if (!isset($params['projectLang'])) {
            throw new QUI\Exception(array(
                'quiqqer/health',
                'exception.cron.no.projectName'
            ));
        }

        if (!isset($params['email'])) {
            $params['email'] = QUI::conf('mail', 'admin_mail');
        }

        $Project = new Project(
            $params['projectName'],
            $params['projectLang']
        );

        $Linkchecker = new Linkchecker();

        $list = $Linkchecker->getUnfinishedJobs();

        if (count($list)) {
            $Job = $list[0];
        } else {
            $Job = $Linkchecker->createJob($Project);
        }

        $Job->execute();

//
//        if (!empty($params['email'])) {
//            $Linkchecker->sendResultMail($params['email'], $testId);
//        }
    }
}
